com.taosdata.jdbc.common

## Class EndpointInfo

- java.lang.Object
- - com.taosdata.jdbc.common.EndpointInfo

    public class EndpointInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EndpointInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decrementConnectCount()`
`int` `getConnectCount()`
`void` `incrementConnectCount()`
`boolean` `isOnline()`
`boolean` `setOffline()`
`void` `setOnline()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EndpointInfo

    public EndpointInfo()

### Method Detail

#### isOnline

    public boolean isOnline()

#### getConnectCount

    public int getConnectCount()

#### setOnline

    public void setOnline()

#### setOffline

    public boolean setOffline()

#### incrementConnectCount

    public void incrementConnectCount()

#### decrementConnectCount

    public void decrementConnectCount()